WayloAIWaylo Docs
APIReferencePresets

List presets

GET
/presets

The WayloAI presets an agent can run, with each preset's tools and default feedback.

Access: authenticated · any API key

Authorization

api-key
headerAuthorizationBearer <sk_waylo_<lookup><secret><checksum>>

Header Parameters

Authorization*string

Your API key.

Response Body

Success

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://api.poc.app.waylovoice.ai/presets' \  -H 'Authorization: Bearer sk_waylo_...'
Example Response
[  {    "id": "string",    "name": "string",    "description": "string",    "active": true,    "requiresCatalog": true,    "delivers": "order_note",    "spokenReplyPrompt": "string",    "tools": [      {        "id": "string",        "label": "string",        "description": "string",        "feedback": {          "ack": [            "string"          ],          "filler": [            "string"          ]        },        "spokenReply": true      }    ]  }]